Skip to main content
POST
/
api
/
v1
/
api-keys
/
{api_key_id}
/
disable
curl -X POST "https://api.fileguard.io/api/v1/api-keys/key_m1n2o3p4q5r6/disable" \
  -H "Authorization: Bearer fg_your_api_key"
{
  "status": "SUCCESS",
  "message": "API key disabled successfully",
  "data": {
    "api_key_id": "key_m1n2o3p4q5r6",
    "status": "disabled"
  },
  "timestamp": "2026-01-04T15:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://fileguard.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Temporarily disable an API key. Can be re-enabled later.

Path Parameters

api_key_id
string
required
API key identifier
curl -X POST "https://api.fileguard.io/api/v1/api-keys/key_m1n2o3p4q5r6/disable" \
  -H "Authorization: Bearer fg_your_api_key"
{
  "status": "SUCCESS",
  "message": "API key disabled successfully",
  "data": {
    "api_key_id": "key_m1n2o3p4q5r6",
    "status": "disabled"
  },
  "timestamp": "2026-01-04T15:00:00Z"
}
Disabled keys can be re-enabled using the enable endpoint.